<?php

//error_reporting('E_ALL');

// ini_set('display_errors',1);
 
session_start();
require_once ("../../config/Cado.php");

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once ("../stock/cStock.php");
$oStock = new cStock();
require_once("../preciogestion/cPreciogestion.php");
$oPreciogestion = new cPreciogestion();
require_once("../almacen/cAlmacen.php");
$oAlmacen = new cAlmacen();

$fecha = date('Y-m-d');
//$anio = date('Y');
$anio = '2023';

require_once ("../formatos/formato.php");

function responder($estado=false, $mensaje='', $datos=[])
{
	header('Content-type: application/json');
	echo json_encode([
		'est' => $estado,
		'msj' => $mensaje,
		'dat' => $datos,
	]);
	exit;
}


if($_POST['action']=='agregar')
{
	
	if(empty($_POST['alu_id']))
	{
		//responder(false, 'Debe seleccionar un alumno.', ['tipo' => 'alu_id']);
		
	}else{}


		
		$dts1=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
		$dt1 = mysqli_fetch_array($dts1);
		
		$pre_id = $dt1['tb_presentacion_id'];
		$pronom = $dt1['tb_producto_nom'];
		$ran = $dt1['tb_catalogo_ran'];
		$arttip_id = $dt1['tb_articulotipo_id'];
		
		$dts1=$oAlmacen->mostrarAlmCajEmp($_SESSION['puntoventa_id']);
			$dt1 = mysqli_fetch_array($dts1);
 			$emp=$dt1['tb_empresa_id'];
 			$punven_id=$dt1['tb_puntoventa_id'];
 			$piso_id=$dt1['tb_piso_id'];
 			$alm = $dt1['tb_almacen_id'];
		mysqli_free_result($dts1);
		

		//echo $_SESSION['puntoventa_id'].'--'.$_POST['esp_id'].'--'.$pre_id;

		$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['esp_id'],$_SESSION['puntoventa_id']);		
		$dtp = mysqli_fetch_array($dtspre);
		$prevenmen = $dtp['tb_precioproductoespecificacion_preven'];
		$precos = $dtp['tb_precioproductoespecificacion_precom'];
			 
		 $tipcam = 1;
		
		
		
	
		/* if($arttip_id == 3 &&  $doc_nom != "TICKET" ){
			
			responder(false, 'El PRODUCTO NO SE PUEDE VENDER CON '.$doc_nom, ['tipo' => 'interno']);
			
		}else{
		} */
		
		$stock = mysqli_fetch_array($oStock->stock_por_presentacion($pre_id,$_POST['mar_id'],$_POST['esp_id'],$alm))['tb_stock_num'];
		
		if($_POST['cat_can']>$stock)
		{
			responder(false, 'Stock máximo del producto es :: '.$stock*1 , ['tipo' => 'cat_sto', 'stock' => $stock]);
		}else if($stock==0)
		{
			responder(false, 'Sin stock :: '.$stock*1 , ['tipo' => 'cat_sto', 'stock' => $stock]);
		}
		
		
		if($_POST['mon'] == 1){
			$msjmon = ' SOLES';
		}else{
			$msjmon = ' DOLARES';
		}
		
		
		if($_POST['cat_preven']==""){
		
			if($_POST['mon'] == 2){
				$preuni = $prevenmen/$tipcam;
			}else{
				$preuni = $prevenmen ;
			}
			
			$_SESSION['venta_preven'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= moneda_mysql($preuni);
		
		}else{
			
			if($_POST['cat_can']>1){
			
			if($_POST['mon']==2){
				$preuni_ven = $_POST['cat_preven'];
				$precos = $precos/$tipcam;
			}else{
				$preuni_ven = $_POST['cat_preven'];
				$precos = $precos;
			}
			
			
			
			$_SESSION['venta_preven'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= moneda_mysql($_POST['cat_preven']);	
			
			
			}else{
				$_SESSION['venta_preven'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= moneda_mysql($_POST['cat_preven']);	
			}
			
			
		}			
		
		$_SESSION['venta_catid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['cat_id'];
		$_SESSION['venta_marid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['mar_id'];
		$_SESSION['venta_espid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['esp_id'];
		$_SESSION['venta_can'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['cat_can'];
		$_SESSION['venta_imei'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['imei'];
		$_SESSION['venta_imei_id'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['imei_id'];
		
		$des = 0;
		$_SESSION['venta_des'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']] = moneda_mysql($des);
		
		unset($_SESSION['pre1']);
		unset($_SESSION['pre2']);
		
			responder(true, 'Agregado correctamente.', ['tipo' => 'agregado']);	
	
}


if($_POST['action']=='quitar')
{
	unset($_SESSION['venta_marid'][$_POST['cat_id']]);
	unset($_SESSION['venta_catid'][$_POST['cat_id']]);
	unset($_SESSION['venta_can'][$_POST['cat_id']]);
	unset($_SESSION['venta_des'][$_POST['cat_id']]);
	unset($_SESSION['venta_preven'][$_POST['cat_id']]);
		unset($_SESSION['venta_imei'][$_POST['cat_id']]);	
		unset($_SESSION['venta_espid'][$_POST['cat_id']]);
		unset($_SESSION['venta_imei_id'][$_POST['cat_id']]);	
		responder(true, '', ['tipo' => 'foco']);
}


if($_POST['action']=='restablecer')
{
	unset($_SESSION['venta_catid']);
	unset($_SESSION['venta_marid']);
	unset($_SESSION['venta_can']);
	unset($_SESSION['venta_des']);
	unset($_SESSION['venta_can']);
	unset($_SESSION['venta_preven']);
	unset($_SESSION['venta_imei']);	
		unset($_SESSION['venta_espid']);
		unset($_SESSION['venta_imei_id']);	
	responder(true, '');
}


?>